/*
 * Copyright 2019 NXP
 *
 * SPDX-License-Identifier: BSD-3-Clause
 */


/***********************************************************************************************************************
 * This file was generated by the MCUXpresso Config Tools. Any manual edits made to this file
 * will be overwritten if the respective MCUXpresso Config Tools is used to update this file.
 **********************************************************************************************************************/

#ifndef _PIN_MUX_H_
#define _PIN_MUX_H_

/*!
 * @addtogroup pin_mux
 * @{
 */

/***********************************************************************************************************************
 * API
 **********************************************************************************************************************/

#if defined(__cplusplus)
extern "C" {
#endif

/*!
 * @brief Calls initialization functions.
 *
 */
void BOARD_InitBootPins(void);

/*!
 * @brief
 * UART0 IrDA Select: Pad RX input (PTD[0], PTF[3] or PTK[3], as selected in Pinmux control) selected for RX input
 * of UART0 and UART0 TX signal is not used for modulation.
 */
#define MISC_CTL_UART0IRSEL_0b0 0x00u

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART0_InitPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART0_DeinitPins(void);

/*!
 * @brief
 * UART1 IrDA Select: Pad RX input (PTD[2], PTI[0] or PTK[5], as selected in Pinmux control) selected for RX input
 * of UART1 and UART1 TX signal is not used for modulation.
 */
#define MISC_CTL_UART1IRSEL_0b0 0x00u

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART1_InitPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART1_DeinitPins(void);

/*!
 * @brief
 * UART2 IrDA Select: Pad RX input PTI[6] or PTE[6] selected for RX input of UART2 and UART2 TX signal is not used
 * for modulation.
 */
#define MISC_CTL_UART2IRSEL_0b0 0x00u

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART2_InitPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART2_DeinitPins(void);

/*!
 * @brief
 * UART3 IrDA Select: Pad RX input (PTC[3] or PTD[7], as selected in Pinmux control) selected for RX input of
 * UART3 and UART3 TX signal is not used for modulation.
 */
#define MISC_CTL_UART3IRSEL_0b0 0x00u

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART3_InitPins(void);

/*!
 * @brief Configures pin routing and optionally pin electrical features.
 *
 */
void UART3_DeinitPins(void);

#if defined(__cplusplus)
}
#endif

/*!
 * @}
 */
#endif /* _PIN_MUX_H_ */

/***********************************************************************************************************************
 * EOF
 **********************************************************************************************************************/
